# Generated by Django 3.2 on 2021-05-20 11:07

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    replaces = [
        ("quiz", "0001_initial"),
        ("quiz", "0002_wissensnack_text"),
        ("quiz", "0003_auto_20210517_1437"),
        ("quiz", "0004_criterion"),
        ("quiz", "0005_auto_20210517_1520"),
        ("quiz", "0006_rename_criterion_ratings_sport_criteria_ratings"),
        ("quiz", "0007_auto_20210518_1521"),
        ("quiz", "0008_alter_sport_url"),
    ]

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Sport",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.TextField(
                        choices=[
                            ("After Work Fitness", "After Work Fitness"),
                            ("Ballett", "Ballett"),
                            ("Basketball", "Basketball"),
                            ("Beachvolleyball", "Beachvolleyball"),
                            ("Bouldern", "Bouldern"),
                            ("Drachenfliegen", "Drachenfliegen"),
                            ("Functional Fitness", "Functional Fitness"),
                            ("Gerätturnen", "Gerätturnen"),
                            ("HIIT", "HIIT"),
                            ("Karate", "Karate"),
                            ("Kickboxen", "Kickboxen"),
                            ("Laufen", "Laufen"),
                            ("Pilates", "Pilates"),
                            ("Qigong", "Qigong"),
                            ("Rückenfit", "Rückenfit"),
                            (
                                "Segeln Sportbootführerschein",
                                "Segeln Sportbootführerschein",
                            ),
                            (
                                "Skilanglauf & Schneeschuhwandern",
                                "Skilanglauf & Schneeschuhwandern",
                            ),
                            ("Sweat & Relax", "Sweat & Relax"),
                            ("Tennis", "Tennis"),
                            ("Ultimate Frisbee", "Ultimate Frisbee"),
                            ("Yoga", "Yoga"),
                        ]
                    ),
                ),
                (
                    "field",
                    models.CharField(
                        choices=[("indoor", "indoor"), ("outdoor", "outdoor")],
                        default="outdoor",
                        max_length=50,
                    ),
                ),
                (
                    "einzelsport",
                    models.IntegerField(
                        choices=[
                            (1, 1),
                            (2, 2),
                            (3, 3),
                            (4, 4),
                            (5, 5),
                            (6, 6),
                            (7, 7),
                            (8, 8),
                            (9, 9),
                            (10, 10),
                        ],
                        default=1,
                    ),
                ),
                (
                    "mannschaftssport",
                    models.IntegerField(
                        choices=[
                            (1, 1),
                            (2, 2),
                            (3, 3),
                            (4, 4),
                            (5, 5),
                            (6, 6),
                            (7, 7),
                            (8, 8),
                            (9, 9),
                            (10, 10),
                        ],
                        default=1,
                    ),
                ),
                (
                    "ausdauer",
                    models.IntegerField(
                        choices=[
                            (1, 1),
                            (2, 2),
                            (3, 3),
                            (4, 4),
                            (5, 5),
                            (6, 6),
                            (7, 7),
                            (8, 8),
                            (9, 9),
                            (10, 10),
                        ],
                        default=1,
                    ),
                ),
                (
                    "kraft",
                    models.IntegerField(
                        choices=[
                            (1, 1),
                            (2, 2),
                            (3, 3),
                            (4, 4),
                            (5, 5),
                            (6, 6),
                            (7, 7),
                            (8, 8),
                            (9, 9),
                            (10, 10),
                        ],
                        default=1,
                    ),
                ),
                (
                    "kampfsport",
                    models.IntegerField(
                        choices=[
                            (1, 1),
                            (2, 2),
                            (3, 3),
                            (4, 4),
                            (5, 5),
                            (6, 6),
                            (7, 7),
                            (8, 8),
                            (9, 9),
                            (10, 10),
                        ],
                        default=1,
                    ),
                ),
                (
                    "technischakrobatisch",
                    models.IntegerField(
                        choices=[
                            (1, 1),
                            (2, 2),
                            (3, 3),
                            (4, 4),
                            (5, 5),
                            (6, 6),
                            (7, 7),
                            (8, 8),
                            (9, 9),
                            (10, 10),
                        ],
                        default=1,
                    ),
                ),
                ("url", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="Criterion",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="CriterionRating",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "rating",
                    models.IntegerField(
                        validators=[
                            django.core.validators.MaxValueValidator(10),
                            django.core.validators.MinValueValidator(0),
                        ]
                    ),
                ),
                (
                    "criterion",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="quiz.criterion"
                    ),
                ),
                (
                    "sport",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="quiz.sport"
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="sport",
            name="criteria_ratings",
            field=models.ManyToManyField(
                through="quiz.CriterionRating", to="quiz.Criterion"
            ),
        ),
        migrations.RemoveField(
            model_name="sport",
            name="ausdauer",
        ),
        migrations.RemoveField(
            model_name="sport",
            name="einzelsport",
        ),
        migrations.RemoveField(
            model_name="sport",
            name="field",
        ),
        migrations.RemoveField(
            model_name="sport",
            name="kampfsport",
        ),
        migrations.RemoveField(
            model_name="sport",
            name="kraft",
        ),
        migrations.RemoveField(
            model_name="sport",
            name="mannschaftssport",
        ),
        migrations.RemoveField(
            model_name="sport",
            name="technischakrobatisch",
        ),
        migrations.AlterField(
            model_name="sport",
            name="name",
            field=models.TextField(),
        ),
        migrations.AlterField(
            model_name="sport",
            name="url",
            field=models.URLField(),
        ),
    ]
